<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/mode_bg_color">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_status_bar"
        android:layout_width="match_parent"
        android:layout_height="@dimen/convert_132px"
        android:background="@color/mode_detail_title_bg_color"
        app:layout_constraintTop_toTopOf="parent">

        <View
            android:id="@+id/view_back"
            android:layout_width="@dimen/convert_120px"
            android:layout_height="@dimen/convert_132px"
            android:background="@drawable/ic_cook_back"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <View
            android:id="@+id/view_progress"
            android:layout_width="0dp"
            android:layout_height="@dimen/convert_15px"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@+id/view_back" />

        <com.develop.food.base.widgets.MarqueeTextView
            android:id="@+id/tv_title_step"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_marginStart="@dimen/convert_51px"
            android:layout_marginEnd="40dp"
            android:ellipsize="marquee"
            android:focusable="true"
            android:gravity="center"
            android:singleLine="true"
            android:text="Step1:Peel 3 onions(180g)and2..."
            android:textColor="#ffffff"
            android:textSize="@dimen/convert_45px"
            app:layout_constraintEnd_toStartOf="@+id/view_step_mark"
            app:layout_constraintStart_toEndOf="@+id/view_back" />

        <View
            android:id="@+id/view_alarm"
            android:layout_width="@dimen/convert_75px"
            android:layout_height="@dimen/convert_59px"
            android:layout_marginEnd="@dimen/convert_45px"
            android:background="@drawable/ic_alarm"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <View
            android:id="@+id/view_step_mark"
            android:layout_width="@dimen/convert_50px"
            android:layout_height="@dimen/convert_66px"
            android:layout_marginEnd="@dimen/convert_84px"
            android:background="@drawable/view_step"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <com.develop.food.base.widgets.BCustomerLinearLayout
        android:id="@+id/scroll_layout"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@id/cl_status_bar">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <ImageView
                android:id="@+id/iv_cook_bg"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:scaleType="centerCrop"
                app:layout_constraintBottom_toBottomOf="parent" />

            <View
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:background="@drawable/bg_cook_mask"
                app:layout_constraintBottom_toBottomOf="parent" />

            <TextView
                android:id="@+id/tv_step_name"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/convert_77px"
                android:layout_marginTop="@dimen/convert_77px"
                android:layout_marginEnd="@dimen/convert_99px"
                android:lineSpacingExtra="10dp"
                android:text="Step1:Peel 3 onions(180g)and2garlic cloves,halve the onions andput both in the blender jug."
                android:textColor="#fff"
                android:textSize="@dimen/convert_39px"
                app:layout_constraintEnd_toStartOf="@+id/view_remark"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <View
                android:id="@+id/view_remark"
                android:layout_width="@dimen/convert_122px"
                android:layout_height="@dimen/convert_120px"
                android:layout_marginTop="@dimen/convert_47px"
                android:layout_marginEnd="@dimen/convert_45px"
                android:background="@drawable/ic_remark"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <View
                android:id="@+id/view_source"
                android:layout_width="@dimen/convert_122px"
                android:layout_height="@dimen/convert_120px"
                android:layout_marginTop="@dimen/convert_47px"
                android:layout_marginEnd="@dimen/convert_45px"
                android:background="@drawable/ic_cook_source"
                android:visibility="visible"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toBottomOf="@id/view_remark" />


            <View
                android:id="@+id/view_weight"
                android:layout_width="@dimen/convert_122px"
                android:layout_height="@dimen/convert_120px"
                android:layout_marginTop="@dimen/convert_47px"
                android:layout_marginEnd="@dimen/convert_45px"
                android:background="@drawable/ic_cook_weight"
                android:visibility="visible"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toBottomOf="@id/view_source" />

            <View
                android:id="@+id/view_weight_close"
                android:layout_width="@dimen/convert_122px"
                android:layout_height="@dimen/convert_120px"
                android:layout_marginTop="@dimen/convert_47px"
                android:layout_marginEnd="@dimen/convert_45px"
                android:background="@drawable/view_weight_close"
                android:visibility="gone"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toBottomOf="@id/view_source" />


            <ImageView
                android:id="@+id/iv_prev_step"
                android:layout_width="@dimen/convert_120px"
                android:layout_height="@dimen/convert_120px"
                android:layout_marginStart="@dimen/convert_48px"
                android:src="@drawable/ic_cook_prev_step"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintVertical_bias="0.4" />

            <ImageView
                android:id="@+id/iv_next_step"
                android:layout_width="@dimen/convert_120px"
                android:layout_height="@dimen/convert_120px"
                android:layout_marginEnd="@dimen/convert_48px"
                android:src="@drawable/ic_cook_next_step"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintVertical_bias="0.4" />

            <include
                android:id="@+id/controller"
                layout="@layout/item_cook_controller2"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginBottom="@dimen/convert_64px"
                app:layout_constraintBottom_toBottomOf="parent" />


            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/ll_weight_view"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                app:layout_constraintBottom_toBottomOf="parent">

                <TextView
                    android:id="@+id/tv_weight_num"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginBottom="@dimen/convert_80px"
                    android:includeFontPadding="false"
                    android:text="50g"
                    android:textColor="#ffffff"
                    android:textSize="@dimen/convert_180px"
                    app:layout_constraintBottom_toTopOf="@+id/weight_view"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent" />

                <com.develop.step.widgets.WeightView
                    android:id="@+id/weight_view"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/convert_83px"
                    app:layout_constraintBottom_toBottomOf="parent" />

                <TextView
                    android:id="@+id/tv_weight_tare"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="@dimen/convert_66px"
                    android:background="@drawable/bg_tare_button"
                    android:includeFontPadding="false"
                    android:paddingHorizontal="@dimen/convert_80px"
                    android:paddingVertical="@dimen/convert_20px"
                    android:text="@string/tare"
                    android:textColor="#ffffff"
                    android:textSize="@dimen/convert_56px"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent" />

            </androidx.constraintlayout.widget.ConstraintLayout>

            <ImageView
                android:id="@+id/iv_turbo_view"
                android:layout_width="@dimen/convert_200px"
                android:layout_height="@dimen/convert_200px"
                android:layout_marginBottom="@dimen/convert_64px"
                android:background="@drawable/ic_turbo_unselected"
                android:visibility="visible"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent" />

        </androidx.constraintlayout.widget.ConstraintLayout>
    </com.develop.food.base.widgets.BCustomerLinearLayout>


    <FrameLayout
        android:id="@+id/fl_cook_details"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/cl_status_bar" />

</androidx.constraintlayout.widget.ConstraintLayout>